package org.commonjava.tensor.agg;

import java.net.URI;

import org.commonjava.maven.atlas.effective.filter.ProjectRelationshipFilter;
import org.commonjava.tensor.discover.DiscoveryConfig;

public interface AggregationOptions
{

    ProjectRelationshipFilter getFilter();

    boolean processIncompleteSubgraphs();

    boolean processVariableSubgraphs();

    DiscoveryConfig getDiscoveryConfig();

    boolean isDiscoveryEnabled();

    long getDiscoveryTimeoutMillis();

    URI getDiscoverySource();

}
