package org.commonjava.tensor.event;

import org.commonjava.maven.atlas.common.ref.ProjectVersionRef;
import org.commonjava.maven.atlas.effective.workspace.GraphWorkspace;

public class MissingRelationshipsEvent
{

    private final ProjectVersionRef ref;

    private final GraphWorkspace session;

    public MissingRelationshipsEvent( final ProjectVersionRef ref, final GraphWorkspace session )
    {
        this.ref = ref;
        this.session = session;
    }

    public ProjectVersionRef getRef()
    {
        return ref;
    }

    public GraphWorkspace getSession()
    {
        return session;
    }

}
