package org.commonjava.tensor.agg;

import org.commonjava.maven.atlas.common.ref.ProjectVersionRef;
import org.commonjava.maven.atlas.effective.EProjectGraph;
import org.commonjava.maven.atlas.effective.EProjectWeb;
import org.commonjava.tensor.data.TensorDataException;

public interface GraphAggregator
{

    EProjectGraph connectIncomplete( EProjectGraph graph, AggregationOptions crawlerConfig )
        throws TensorDataException;

    EProjectWeb connectIncomplete( EProjectWeb graph, AggregationOptions crawlerConfig, ProjectVersionRef... roots )
        throws TensorDataException;

}