package org.commonjava.tensor.discover;

import java.net.URI;

import org.commonjava.tensor.data.TensorDataException;

public interface DiscoverySourceManager
{

    URI createSourceURI( String source );

    void activateWorkspaceSources( String... sources )
        throws TensorDataException;

    String getFormatHint();

}
